name: Feature request
description: Suggest an idea for Font Awesome
title: "Feature request: "
labels: ['feature']
body:
  - type: markdown
    attributes:
      value: Thanks for taking the time to request a new feature!
  - type: textarea
    id: use-case
    attributes:
      label: Is your feature request related to a problem?
      description: A clear and concise description of what the problem is
      placeholder: I'm always frustrated when...
  - type: textarea
    id: feature
    attributes:
      label: Feature description
      description: A clear and concise description of what you want to happen
    validations:
      required: true
  - type: textarea
    id: alternatives
    attributes:
      label: Alternatives
      description: A clear and concise description of any alternative solutions or features you've considered.
  - type: textarea
    id: additional-context
    attributes:
      label: Additional context
      description: Add any other context or screenshots about the feature request here
  - type: checkboxes
    id: feature-request-checklist
    attributes:
      label: Feature request checklist
      options:
        - label: 'The title starts with "Feature request: " and is followed by the requested feature description'
          required: true
        - label: 'This is a single feature'
          required: true
        - label: 'I have [searched for existing issues](https://github.com/FortAwesome/Font-Awesome/issues) and to the best of my knowledge this is not a duplicate'
          required: true
